Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class AbstractPageContextWrapper

    java.lang.Object
      javax.servlet.jsp.PageContext
          org.apache.cactus.server.AbstractPageContextWrapper

Direct Known Subclasses:
  PageContextWrapper

public abstract class AbstractPageContextWrapper
extends javax.servlet.jsp.PageContext

Abstract wrapper around `PageContext`. This class provides a common implementation of the wrapper for the different servlet API.

Version:
  $Id: AbstractPageContextWrapper.java 239136 2005-02-01 08:54:44Z vmassol $

Field Summary
`protected javax.servlet.jsp.PageContext` | `originalPageContext` The real page context
`protected ServletURL` | `url` The URL to simulate

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Constructor Summary
`AbstractPageContextWrapper(javax.servlet.jsp.PageContext theOriginalPageContext, ServletURL theURL)` Construct an `PageContext` instance that delegates it's method calls to the page context object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Method Summary
`java.lang.Object` | `findAttribute(java.lang.String theName)`
`void` | `forward(java.lang.String theRelativeURLPath)`
`java.lang.Object` | `getAttribute(java.lang.String theName)`
`java.lang.Object` | `getAttribute(java.lang.String theName, int theScope)`
`java.util.Enumeration` | `getAttributeNamesInScope(int theScope)`
`int` | `getAttributesScope(java.lang.String theName)`
`java.lang.Exception` | `getException()`
`javax.servlet.jsp.PageContext` | `getOriginalPageContext()`
`javax.servlet.jsp.JspWriter` | `getOut()`
`java.lang.Object` | `getPage()`
`javax.servlet.ServletRequest` | `getRequest()`
`javax.servlet.ServletResponse` | `getResponse()`
`javax.servlet.ServletConfig` | `getServletConfig()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`void` | `handlePageException(java.lang.Exception theException)`
`void` | `include(java.lang.String theRelativeURLPath)`
`void` | `initialize(javax.servlet.Servlet theServlet, javax.servlet.ServletRequest theRequest, javax.servlet.ServletResponse theResponse, java.lang.String theErrorPageURL, boolean isSessionNeeded, int theBufferSize, boolean isAutoFlush)`
`javax.servlet.jsp.JspWriter` | `popBody()`
`javax.servlet.jsp.tagext.BodyContent` | `pushBody()`
`void` | `release()`
`void` | `removeAttribute(java.lang.String theName)`
`void` | `removeAttribute(java.lang.String theName, int theScope)`
`void` | `setAttribute(java.lang.String theName, java.lang.Object theAttribute)`
`void` | `setAttribute(java.lang.String theName, java.lang.Object theAttribute, int theScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### originalPageContext

    protected javax.servlet.jsp.PageContext originalPageContext

  The real page context

### url

    protected ServletURL url

  The URL to simulate

Constructor Detail

### AbstractPageContextWrapper

    public AbstractPageContextWrapper(javax.servlet.jsp.PageContext theOriginalPageContext,
                                      ServletURL theURL)

  Construct an `PageContext` instance that delegates it's method calls to the page context object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Parameters:
  `theOriginalPageContext` - the real page context
  `theURL` - the URL to simulate or `null` if none

Method Detail

### getOriginalPageContext

    public javax.servlet.jsp.PageContext getOriginalPageContext()

  Returns:
    the original page context
  Since:
    1.7

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Returns:
    the Cactus wrapped servlet request that knows about the simulated URL

### getServletConfig

    public javax.servlet.ServletConfig getServletConfig()

  Returns:
    the Cactus wrapped servlet config

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Returns:
    the Cactus wrapped servlet context

### findAttribute

    public java.lang.Object findAttribute(java.lang.String theName)

  See Also:
    `PageContext.findAttribute(String)`

### forward

    public void forward(java.lang.String theRelativeURLPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `PageContext.forward(String)`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String theName)

  See Also:
    `PageContext.getAttribute(String)`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String theName,
                                         int theScope)

  See Also:
    `PageContext.getAttribute(String, int)`

### getAttributeNamesInScope

    public java.util.Enumeration getAttributeNamesInScope(int theScope)

  See Also:
    `PageContext.getAttributeNamesInScope(int)`

### getAttributesScope

    public int getAttributesScope(java.lang.String theName)

  See Also:
    `PageContext.getAttributesScope(String)`

### getException

    public java.lang.Exception getException()

  See Also:
    `PageContext.getException()`

### getOut

    public javax.servlet.jsp.JspWriter getOut()

  See Also:
    `PageContext.getOut()`

### getPage

    public java.lang.Object getPage()

  See Also:
    `PageContext.getPage()`

### getResponse

    public javax.servlet.ServletResponse getResponse()

  See Also:
    `PageContext.getResponse()`

### getSession

    public javax.servlet.http.HttpSession getSession()

  See Also:
    `PageContext.getSession()`

### handlePageException

    public void handlePageException(java.lang.Exception theException)
                             throws javax.servlet.ServletException,
                                    java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `PageContext.handlePageException(Exception)`

### include

    public void include(java.lang.String theRelativeURLPath)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`
  See Also:
    `PageContext.include(String)`

### initialize

    public void initialize(javax.servlet.Servlet theServlet,
                           javax.servlet.ServletRequest theRequest,
                           javax.servlet.ServletResponse theResponse,
                           java.lang.String theErrorPageURL,
                           boolean isSessionNeeded,
                           int theBufferSize,
                           boolean isAutoFlush)
                    throws java.io.IOException,
                           java.lang.IllegalStateException,
                           java.lang.IllegalArgumentException

  Throws:
    `java.io.IOException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
  See Also:
    `PageContext.initialize(javax.servlet.Servlet, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String, boolean, int, boolean)`

### popBody

    public javax.servlet.jsp.JspWriter popBody()

  See Also:
    `PageContext.popBody()`

### pushBody

    public javax.servlet.jsp.tagext.BodyContent pushBody()

  See Also:
    `PageContext.pushBody()`

### release

    public void release()

  See Also:
    `PageContext.release()`

### removeAttribute

    public void removeAttribute(java.lang.String theName)

  See Also:
    `PageContext.removeAttribute(String)`

### removeAttribute

    public void removeAttribute(java.lang.String theName,
                                int theScope)

  See Also:
    `PageContext.removeAttribute(String, int)`

### setAttribute

    public void setAttribute(java.lang.String theName,
                             java.lang.Object theAttribute)

  See Also:
    `PageContext.setAttribute(String, Object)`

### setAttribute

    public void setAttribute(java.lang.String theName,
                             java.lang.Object theAttribute,
                             int theScope)

  See Also:
    `PageContext.setAttribute(String, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.